var $content, $sections, current_section, $navigation, footer_exclude, $footer_section;

function set_current_section( section, nav ) {
	current_section.section.removeClass('current').hide();
	current_section.nav.removeClass('current');

	current_section.section = section;
	current_section.nav = nav;

	current_section.section.addClass('current').show();
	current_section.nav.addClass('current');

	var section_id = section.attr( 'id' );
	if( footer_exclude.indexOf( section_id ) >= 0 ) {
		$footer_section.hide();
	}
	else {
		$footer_section.show();
	}

	if( $(window).width() < 700 ) {
		window.location.hash = '#' + section_id;
	}
	else {
		current_section.section.removeAttr('id');
		window.location.hash = '#' + section_id;
		current_section.section.attr('id', section_id);
	}

}


function search_faq( term ) {
	var faqs = $('.faq');
	var result;
	term = term.toLowerCase();

	$.each( faqs, function() {
		var $this = $(this);
		var keywords = $this.data('keywords');
		var title = $this.find('.question').html().toLowerCase();

		if( keywords.indexOf( term ) == -1 && title.indexOf(term) == -1 ) {
			$this.hide();
		}
		else {
			$this.show();
		}

	})

	
}

$(document).ready( function() {
	current_section = []
	$content = $('#content');
	$sections = $content.find( '.section' );
	$navigation = $('#navigation')
	$sections.not(':first').hide();
	$footer_section = $('#footer-section');
	var hash = window.location.hash;
	footer_exclude = $('#footer-section').data('exclude').split(',')

	current_section['section'] = $sections.first();
	current_section['nav'] = $navigation.find('ul li:first a');

	set_current_section( current_section['section'], current_section['nav'] )

	if( hash.length > 1 && $('#navigation').find('a[href="'+hash+'"]').length > 0 ) {
		hash_id = hash.substr(1)
		set_current_section( $('.section[id="' + hash_id + '"]'), $('#navigation').find('a[href="'+hash+'"]') )
	}

})

$(window).on('hashchange', function() {
	var hash = window.location.hash;
	if( hash.length > 1 && $('#navigation').find('a[href="'+hash+'"]').length > 0 ) {
		hash_id = hash.substr(1)
		set_current_section( $('.section[id="' + hash_id + '"]'), $('#navigation').find('a[href="'+hash+'"]') )
	}
});


$(document).on( 'click', '#navigation a', function() {
	var target = $($(this).attr('href'));
	set_current_section( target, $(this) );
	return false;
})

$(document).on('keyup', '#faq-search input', function() {
	search_faq( $(this).val() );
})